@media (max-width: 768px) {
  .nav-container,
  .governance-page .nav-container {
    padding: 10px 16px;
  }

  .glass-nav,
  .governance-page .glass-nav {
    flex-direction: column;
    align-items: flex-start;
    padding: 8px 16px;
    border-radius: 50px;
    width: 100%;
    position: relative;
  }

  .logo,
  .governance-page .logo {
    margin-bottom: 0;
    padding: 5px 0;
  }

  .logo img,
  .governance-page .logo img {
    height: 45px;
  }

  .hamburger-menu,
  .governance-page .hamburger-menu {
    display: block;
    position: absolute;
    top: 34px;
    right: 20px;
    transform: translateY(-50%);
  }

  .nav-links,
  .governance-page .nav-links {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s ease-out;
  }

  .nav-links.active,
  .governance-page .nav-links.active {
    max-height: 360px;
  }

  .active-indicator,
  .governance-page .active-indicator {
    width: 100%;
    left: 0;
    border-radius: 50px;
    display: block; /* Make sure it's visible on mobile */
  }

  .nav-links li,
  .governance-page .nav-links li {
    margin: 5px 0;
    text-align: center;
  }

  .nav-links a,
  .governance-page .nav-links a {
    padding: 13px 15px;
    border-radius: 50px;
  }

  .nav-links a.active,
  .nav-links a:hover,
  .governance-page .nav-links a.active,
  .governance-page .nav-links a:hover {
    background-color: transparent;
  }

  .hero-content {
    flex-direction: column;
    text-align: center;
  }

  .hero-text {
    max-width: 100%;
    margin-bottom: 30px;
  }

  .hero-text h1 {
    font-size: 2.5em;
  }

  .hero-image-right {
    width: 80%;
  }

  .full-width-image-section,
  .second-image-section {
    height: 500px;
    margin: 10px;
    width: calc(100% - 20px);
  }

  .image-text-content h2 {
    font-size: 2em;
  }

  .dual-column-section,
  .image-text-section,
  .promo-section {
    flex-direction: column;
  }

  .dual-column-section .images-container {
    grid-template-columns: 1fr;
  }

  .dual-column-section .learn-more-button {
    position: relative;
    bottom: auto;
    left: auto;
    margin-top: 20px;
    display: block;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
  }

  .stats-grid {
    grid-template-columns: 1fr;
  }

  .large-image-feature-section,
  .huge-image-section {
    padding: 2rem 1rem;
    flex-direction: column;
  }

  .huge-image-text h2,
  .feature-text-content h2 {
    font-size: 2rem;
  }

  .video-headline h2 {
    font-size: 2rem;
  }

  .quad-image-section {
    flex-direction: column;
  }

  .timeline-container::after {
    left: 31px;
  }
  .timeline-item {
    width: 100%;
    padding-left: 70px;
    padding-right: 25px;
  }
  .timeline-item:nth-child(odd),
  .timeline-item:nth-child(even) {
    left: 0;
  }
  .timeline-dot,
  .timeline-item:nth-child(even) .timeline-dot {
    left: 21px;
  }

  .footer-content {
    flex-direction: column;
    text-align: center;
  }

  .footer-column {
    margin-bottom: 30px;
  }
}


.site-footer {
  background-color: #1d1d1f;
  color: white;
  padding: 60px 20px;
}

.footer-content {
  display: flex;
  justify-content: space-between;
  max-width: 1200px;
  margin: 0 auto;
  flex-wrap: wrap;
}

.footer-column {
  flex: 1;
  padding: 0 20px;
  min-width: 250px;
}

.footer-logo-img {
  max-width: 150px;
  margin-bottom: 20px;
}

.footer-about p {
  font-size: 0.9em;
  line-height: 1.6;
}

.footer-links h4,
.footer-connect h4 {
  font-size: 1.2em;
  margin-bottom: 20px;
  font-weight: 600;
}

.footer-links ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-links li {
  margin-bottom: 10px;
}

.footer-links a {
  color: #ccc;
  text-decoration: none;
  transition: color 0.3s ease;
}

.footer-links a:hover {
  color: white;
}

.footer-social {
  display: flex;
}

.footer-social a {
  color: white;
  margin-right: 20px;
  font-size: 1.5em;
  transition: color 0.3s ease;
}

.footer-social a:hover {
  color: #007bff;
}

.footer-bottom {
  text-align: center;
  margin-top: 40px;
  padding-top: 20px;
  border-top: 1px solid #444;
}

.footer-bottom p {
  font-size: 0.9em;
  color: #ccc;
}
